VERSION 5.00
Begin VB.Form frmComboList 
   BorderStyle     =   4  'Fixed ToolWindow
   Caption         =   "Combo - List"
   ClientHeight    =   5190
   ClientLeft      =   1110
   ClientTop       =   1365
   ClientWidth     =   7830
   MaxButton       =   0   'False
   MDIChild        =   -1  'True
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   5190
   ScaleWidth      =   7830
   ShowInTaskbar   =   0   'False
   Begin VB.PictureBox Picture1 
      Align           =   2  'Align Bottom
      BorderStyle     =   0  'None
      Height          =   465
      Left            =   0
      ScaleHeight     =   465
      ScaleWidth      =   7830
      TabIndex        =   6
      Top             =   4725
      Width           =   7830
      Begin VB.CommandButton Command2 
         Caption         =   "&Reset"
         Height          =   285
         Left            =   6840
         TabIndex        =   12
         Top             =   105
         Width           =   825
      End
      Begin VB.TextBox Text1 
         Height          =   285
         Left            =   2040
         TabIndex        =   7
         Tag             =   "A/BC/DEF/GHIJ/KLMNOP/"
         Top             =   90
         Width           =   4710
      End
      Begin VB.Label Label1 
         Caption         =   "&Enter a dir/file to search"
         Height          =   255
         Left            =   90
         TabIndex        =   8
         Top             =   120
         Width           =   1875
      End
   End
   Begin VB.Frame Frame1 
      Height          =   570
      Left            =   0
      TabIndex        =   3
      Top             =   -90
      Width           =   7830
      Begin VB.CommandButton cmdNP 
         Caption         =   ">"
         Height          =   285
         Index           =   1
         Left            =   7470
         TabIndex        =   11
         Top             =   195
         Width           =   285
      End
      Begin VB.CommandButton cmdNP 
         Caption         =   "<"
         Height          =   285
         Index           =   0
         Left            =   6570
         TabIndex        =   10
         Top             =   195
         Width           =   285
      End
      Begin VB.CommandButton Command1 
         Caption         =   "&Go"
         Default         =   -1  'True
         Height          =   285
         Left            =   6930
         TabIndex        =   9
         Top             =   195
         Width           =   465
      End
      Begin VB.ComboBox cmb_Function 
         Height          =   315
         Left            =   1365
         TabIndex        =   4
         Top             =   180
         Width           =   5115
      End
      Begin VB.Label Label2 
         Caption         =   "&Select a function"
         Height          =   255
         Left            =   90
         TabIndex        =   5
         Top             =   210
         Width           =   1275
      End
   End
   Begin VB.ListBox List1 
      Height          =   1815
      Left            =   120
      TabIndex        =   2
      Top             =   2760
      Width           =   7575
   End
   Begin VB.ComboBox Combo1 
      Height          =   315
      Left            =   120
      TabIndex        =   1
      Top             =   2280
      Width           =   7575
   End
   Begin VB.TextBox txt_Result 
      BackColor       =   &H00C0C0C0&
      BorderStyle     =   0  'None
      Height          =   1485
      Left            =   120
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   0
      Top             =   600
      Width           =   7575
   End
End
Attribute VB_Name = "frmComboList"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Option Base 1

Private Const Iteration = 1

Dim IsLoaded         As Integer

Dim TimerStartOk     As Integer
Dim TimerCloseOk     As Integer

Dim TimerHandle      As Integer
Dim TimerValue       As Long

Private Sub cmdNP_Click(Index As Integer)

   Text1.Text = ""
   
   Call sub_NextPrev(cmb_Function, Index)

End Sub


Private Sub cmb_Function_Click()
   
   If (IsLoaded = False) Then Exit Sub
   
   Call cDisableFI(mdiT2W.Picture1)
   
   txt_Result = ""
   
   DoEvents
   
   Combo1.Clear
   List1.Clear
   
   Select Case cmb_Function.ListIndex
      Case 0
         Call TestComboListDir
      Case 1
         Call TestComboListFile
      Case 2
         Call TestComboListFileAttrib
   End Select
   
   DoEvents
   Call cEnableFI(mdiT2W.Picture1)
   
End Sub


Private Sub Form_Activate()

   mdiT2W.Label2.Caption = cInsertBlocks(mdiT2W.Label2.Tag, "" & Iteration)

End Sub

Private Sub Form_Load()

   IsLoaded = False
   
   Show

   Call sub_Load_Combo(cmb_Function, T2WDirInst + "_cmblst.t2w")
   
   IsLoaded = True
   
End Sub

Private Sub Command1_Click()
   
   Call cmb_Function_Click
   
End Sub


Private Sub TestComboListDir()

   Dim lResult          As Long
   Dim strResult        As String
   Dim strDisplay       As String
   
   Dim i                As Integer
   
   If (Text1.Text = "") Then Text1.Text = "?y*tem*"
            
   strResult = Text1.Text
   
   DoEvents
   
   strDisplay = strDisplay & "Search all directory occurences of '" & strResult & "' on drive C:" & vbCrLf & vbCrLf
   strDisplay = strDisplay & "   number of dirs show in the ComboBox is '" & cComboSearchDir(Combo1.hwnd, "c:\", strResult) & "'" & vbCrLf & vbCrLf
   strDisplay = strDisplay & "   number of dirs show in the ListBox is '" & cListSearchDir(List1.hwnd, "c:\", strResult) & "'" & vbCrLf & vbCrLf
   
   txt_Result = strDisplay

   If (List1.ListCount > 0) Then List1.ListIndex = 0
   If (Combo1.ListCount > 0) Then Combo1.ListIndex = 0
   
   'time the function
   
   Combo1.Clear

   TimerHandle = cTimerOpen()
   TimerStartOk = cTimerStart(TimerHandle)
   
   For i = 1 To Iteration
      lResult = cComboSearchDir(Combo1.hwnd, "c:\", strResult)
   Next i
   
   mdiT2W.pnl_Timer = cTimerRead(TimerHandle)
   
   TimerCloseOk = cTimerClose(TimerHandle)

   If (Combo1.ListCount > 0) Then Combo1.ListIndex = 0
   
End Sub

Private Sub Command2_Click()

   Select Case cmb_Function.ListIndex
      Case 0   'TestComboListDir
         Text1.Text = "?y*tem*"
      Case 1   'TestComboListFile
         Text1.Text = "t?w*.d?l"
   End Select
   
End Sub




Private Sub TestComboListFile()

   Dim lResult          As Long
   Dim strResult        As String
   Dim strDisplay       As String
   
   Dim i                As Integer
   
   If (Text1.Text = "") Then Text1.Text = "t?w*.d?l"
   
   strResult = Text1.Text
   
   DoEvents
   
   strDisplay = strDisplay & "Search all file occurences of '" & strResult & "' on drive C:" & vbCrLf & vbCrLf
   strDisplay = strDisplay & "   number of files show in the ComboBox is '" & cComboSearchFile(Combo1.hwnd, "c:\", strResult) & "'" & vbCrLf & vbCrLf
   strDisplay = strDisplay & "   number of files show in the ListBox is '" & cListSearchFile(List1.hwnd, "c:\", strResult) & "'" & vbCrLf & vbCrLf
   
   txt_Result = strDisplay

   If (List1.ListCount > 0) Then List1.ListIndex = 0
   If (Combo1.ListCount > 0) Then Combo1.ListIndex = 0
   
   'time the function
   
   Combo1.Clear

   TimerHandle = cTimerOpen()
   TimerStartOk = cTimerStart(TimerHandle)
   
   For i = 1 To Iteration
      lResult = cComboSearchFile(Combo1.hwnd, "c:\", strResult)
   Next i
   
   mdiT2W.pnl_Timer = cTimerRead(TimerHandle)
   
   TimerCloseOk = cTimerClose(TimerHandle)

   If (Combo1.ListCount > 0) Then Combo1.ListIndex = 0
   
End Sub

Private Sub TestComboListFileAttrib()

   Dim lResult          As Long
   Dim strResult        As String
   Dim strDisplay       As String
   
   Dim i                As Integer
   
   If (Text1.Text = "") Then Text1.Text = "t?w*.d?l"
   
   strResult = Text1.Text
   
   DoEvents
   
   strDisplay = strDisplay & "Search all file occurences of '" & strResult & "' on drive C:" & vbCrLf & vbCrLf
   strDisplay = strDisplay & "   number of files (Archive, Hidden) show in the ComboBox is '" & cComboSearchFileAttrib(Combo1.hwnd, "c:\", strResult, A_ARCHIVE Or A_HIDDEN) & "'" & vbCrLf & vbCrLf
   strDisplay = strDisplay & "   number of files (Archive, Hidden) show in the ListBox is '" & cListSearchFileAttrib(List1.hwnd, "c:\", strResult, A_ARCHIVE Or A_HIDDEN) & "'" & vbCrLf & vbCrLf
   
   txt_Result = strDisplay

   If (List1.ListCount > 0) Then List1.ListIndex = 0
   If (Combo1.ListCount > 0) Then Combo1.ListIndex = 0
   
   'time the function
   
   Combo1.Clear

   TimerHandle = cTimerOpen()
   TimerStartOk = cTimerStart(TimerHandle)
   
   For i = 1 To Iteration
      lResult = cComboSearchFileAttrib(Combo1.hwnd, "c:\", strResult, A_ARCHIVE Or A_HIDDEN)
   Next i
   
   mdiT2W.pnl_Timer = cTimerRead(TimerHandle)
   
   TimerCloseOk = cTimerClose(TimerHandle)

   If (Combo1.ListCount > 0) Then Combo1.ListIndex = 0
   
End Sub
