VERSION 5.00
Begin VB.Form frmCrc32 
   BorderStyle     =   4  'Fixed ToolWindow
   Caption         =   "Crc 32"
   ClientHeight    =   4845
   ClientLeft      =   1890
   ClientTop       =   3270
   ClientWidth     =   7485
   MaxButton       =   0   'False
   MDIChild        =   -1  'True
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   4845
   ScaleWidth      =   7485
   ShowInTaskbar   =   0   'False
   Begin VB.Frame Frame1 
      Height          =   570
      Left            =   0
      TabIndex        =   1
      Top             =   -90
      Width           =   7485
      Begin VB.CommandButton cmdNP 
         Caption         =   ">"
         Height          =   285
         Index           =   1
         Left            =   7110
         TabIndex        =   6
         Top             =   195
         Width           =   285
      End
      Begin VB.CommandButton cmdNP 
         Caption         =   "<"
         Height          =   285
         Index           =   0
         Left            =   6210
         TabIndex        =   5
         Top             =   195
         Width           =   285
      End
      Begin VB.CommandButton Command1 
         Caption         =   "&Go"
         Default         =   -1  'True
         Height          =   285
         Left            =   6570
         TabIndex        =   4
         Top             =   195
         Width           =   465
      End
      Begin VB.ComboBox cmb_Function 
         Height          =   315
         Left            =   1365
         TabIndex        =   2
         Top             =   180
         Width           =   4755
      End
      Begin VB.Label Label2 
         Caption         =   "&Select a function"
         Height          =   255
         Left            =   90
         TabIndex        =   3
         Top             =   210
         Width           =   1275
      End
   End
   Begin VB.TextBox txt_Result 
      BackColor       =   &H00C0C0C0&
      BorderStyle     =   0  'None
      Height          =   4110
      Left            =   105
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   0
      Top             =   630
      Width           =   7260
   End
End
Attribute VB_Name = "frmCrc32"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Option Base 1

Private Const Iteration = 25

Dim IsLoaded         As Integer

Dim TimerStartOk     As Integer
Dim TimerCloseOk     As Integer

Dim TimerHandle      As Integer
Dim TimerValue       As Long

Private Sub cmb_Function_Click()
   
   If (IsLoaded = False) Then Exit Sub
   
   Call cDisableFI(mdiT2W.Picture1)
   
   txt_Result = ""
   
   DoEvents
   
   Select Case cmb_Function.ListIndex
      Case 0
         Call TestFileCRC32
      Case 1
         Call TestStringCRC32
   End Select

   DoEvents
   Call cEnableFI(mdiT2W.Picture1)
   
End Sub


Private Sub cmdNP_Click(Index As Integer)

   Call sub_NextPrev(cmb_Function, Index)

End Sub

Private Sub Form_Activate()

   mdiT2W.Label2.Caption = cInsertBlocks(mdiT2W.Label2.Tag, "" & Iteration)

End Sub

Private Sub Form_Load()

   IsLoaded = False
   
   Show

   Call sub_Load_Combo(cmb_Function, T2WDirInst + "_crc32.t2w")
   
   IsLoaded = True
   
End Sub

Private Sub Command1_Click()
   
   Call cmb_Function_Click
   
End Sub







Private Sub TestFileCRC32()

   Dim lResult          As Long
   Dim strResult        As String
   Dim strDisplay       As String
   
   Dim i                As Integer
   
   Dim File1            As String
   
   strResult = ""
   strDisplay = ""
   
   File1 = T2WFileTest
   strDisplay = strDisplay & "Crc32 (text mode) for '" & File1 & "' is " & cFileCRC32(File1, OPEN_MODE_TEXT) & vbCrLf
   strDisplay = strDisplay & "Crc32 (binary mode) for '" & File1 & "' is " & cFileCRC32(File1, OPEN_MODE_BINARY) & vbCrLf & vbCrLf

   File1 = "c:\config.sys"
   strDisplay = strDisplay & "Crc32 (text mode) for '" & File1 & "' is " & cFileCRC32(File1, OPEN_MODE_TEXT) & vbCrLf
   strDisplay = strDisplay & "Crc32 (binary mode) for '" & File1 & "' is " & cFileCRC32(File1, OPEN_MODE_BINARY) & vbCrLf & vbCrLf

   File1 = "c:\command.com"
   strDisplay = strDisplay & "Crc32 (text mode) for '" & File1 & "' is " & cFileCRC32(File1, OPEN_MODE_TEXT) & vbCrLf
   strDisplay = strDisplay & "Crc32 (binary mode) for '" & File1 & "' is " & cFileCRC32(File1, OPEN_MODE_BINARY) & vbCrLf & vbCrLf

   File1 = cGetWindowsDirectory() & "\system.dat"
   strDisplay = strDisplay & "Crc32 (text mode) for '" & File1 & "' is " & cFileCRC32(File1, OPEN_MODE_TEXT) & vbCrLf
   strDisplay = strDisplay & "Crc32 (binary mode) for '" & File1 & "' is " & cFileCRC32(File1, OPEN_MODE_BINARY) & vbCrLf & vbCrLf

   txt_Result = strDisplay

   'time the function

   TimerHandle = cTimerOpen()
   TimerStartOk = cTimerStart(TimerHandle)
   
   For i = 1 To Iteration
      lResult = cFileCRC32(File1, OPEN_MODE_TEXT)
   Next i
   
   mdiT2W.pnl_Timer = cTimerRead(TimerHandle)
   
   TimerCloseOk = cTimerClose(TimerHandle)

End Sub

Public Sub TestStringCRC32()

   Dim lResult          As Long
   Dim strResult        As String
   Dim strDisplay       As String
   
   Dim i                As Integer
   
   Dim Str1            As String
   
   strResult = ""
   strDisplay = ""
   
   Str1 = "T2WIN-32, t2win-32"
   strDisplay = strDisplay & "Crc32 for '" & Str1 & "' is " & cStringCRC32(Str1) & vbCrLf & vbCrLf

   Str1 = "Windows 95/NT : Hints and Tips"
   strDisplay = strDisplay & "Crc32 for '" & Str1 & "' is " & cStringCRC32(Str1) & vbCrLf & vbCrLf

   Str1 = "Under the sky, the sun lights"
   strDisplay = strDisplay & "Crc32 for '" & Str1 & "' is " & cStringCRC32(Str1) & vbCrLf & vbCrLf

   txt_Result = strDisplay

   'time the function

   TimerHandle = cTimerOpen()
   TimerStartOk = cTimerStart(TimerHandle)
   
   For i = 1 To Iteration
      lResult = cStringCRC32(Str1)
   Next i
   
   mdiT2W.pnl_Timer = cTimerRead(TimerHandle)
   
   TimerCloseOk = cTimerClose(TimerHandle)

End Sub
