VERSION 5.00
Begin VB.Form frmMediaID 
   BorderStyle     =   4  'Fixed ToolWindow
   Caption         =   "Media ID - Volume Label"
   ClientHeight    =   4785
   ClientLeft      =   1890
   ClientTop       =   3270
   ClientWidth     =   7485
   MaxButton       =   0   'False
   MDIChild        =   -1  'True
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   4785
   ScaleWidth      =   7485
   ShowInTaskbar   =   0   'False
   Begin VB.Frame Frame1 
      Height          =   570
      Left            =   0
      TabIndex        =   1
      Top             =   -90
      Width           =   7485
      Begin VB.CommandButton cmdNP 
         Caption         =   ">"
         Height          =   285
         Index           =   1
         Left            =   7110
         TabIndex        =   6
         Top             =   195
         Width           =   285
      End
      Begin VB.CommandButton cmdNP 
         Caption         =   "<"
         Height          =   285
         Index           =   0
         Left            =   6210
         TabIndex        =   5
         Top             =   195
         Width           =   285
      End
      Begin VB.CommandButton Command1 
         Caption         =   "&Go"
         Default         =   -1  'True
         Height          =   285
         Left            =   6570
         TabIndex        =   4
         Top             =   195
         Width           =   465
      End
      Begin VB.ComboBox cmb_Function 
         Height          =   315
         Left            =   1365
         TabIndex        =   2
         Top             =   180
         Width           =   4755
      End
      Begin VB.Label Label2 
         Caption         =   "&Select a function"
         Height          =   255
         Left            =   90
         TabIndex        =   3
         Top             =   210
         Width           =   1275
      End
   End
   Begin VB.TextBox txt_Result 
      BackColor       =   &H00C0C0C0&
      BorderStyle     =   0  'None
      Height          =   4005
      Left            =   105
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   0
      Top             =   630
      Width           =   7260
   End
End
Attribute VB_Name = "frmMediaID"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Option Base 1

Private Const Iteration = 25

Dim IsLoaded         As Integer

Dim TimerStartOk     As Integer
Dim TimerCloseOk     As Integer

Dim TimerHandle      As Integer
Dim TimerValue       As Long

Private Sub cmdNP_Click(Index As Integer)

   Call sub_NextPrev(cmb_Function, Index)

End Sub


Private Sub cmb_Function_Click()
   
   If (IsLoaded = False) Then Exit Sub
   
   Call cDisableFI(mdiT2W.Picture1)
   
   txt_Result = ""
   
   DoEvents
   
   Select Case cmb_Function.ListIndex
      Case 0
         Call TestMediaID
      Case 1
         Call TestVolume
      Case 2
         Call TestDOSMediaID
   End Select
   
   DoEvents
   Call cEnableFI(mdiT2W.Picture1)
   
End Sub


Private Sub Form_Activate()

   mdiT2W.Label2.Caption = cInsertBlocks(mdiT2W.Label2.Tag, "" & Iteration)

End Sub

Private Sub Form_Load()

   IsLoaded = False
   
   Show

   Call sub_Load_Combo(cmb_Function, T2WDirInst + "_med-vol.t2w")
   
   IsLoaded = True
   
End Sub

Private Sub Command1_Click()
   
   Call cmb_Function_Click
   
End Sub

Private Sub TestMediaID()
   
   Dim intResult        As Integer
   Dim strResult        As String
   Dim strDisplay       As String
   
   Dim i                As Integer
   
   Dim MEDIAID          As tagMEDIAID
  
   strResult = ""
   strDisplay = ""
     
   For i = 1 To 4
      intResult = cGetMediaID(Chr$(64 + i), MEDIAID)
      If (intResult = True) Then
         strDisplay = strDisplay & "MEDIA ID found on drive '" & Chr$(64 + i) & "'" & vbCrLf & vbCrLf
         strDisplay = strDisplay & "   VolumeName : '" & MEDIAID.VolumeName & "'" & vbCrLf
         strDisplay = strDisplay & "   VolumeSerialNumber : '" & Hex$(MEDIAID.VolumeSerialNumber) & "'" & vbCrLf
         strDisplay = strDisplay & "   SystemName : '" & MEDIAID.SystemName & "'" & vbCrLf
         strDisplay = strDisplay & "   MaxNameLength : '" & MEDIAID.MaxNameLength & "'" & vbCrLf
         strDisplay = strDisplay & "   FileSystemFlags : '" & MEDIAID.FileSystemFlags & "'" & vbCrLf & vbCrLf
      Else
         strDisplay = strDisplay & "MEDIA ID not found on drive '" & Chr$(64 + i) & "'" & vbCrLf & vbCrLf
      End If
   Next i

   txt_Result = strDisplay

   'time the function

   TimerHandle = cTimerOpen()
   TimerStartOk = cTimerStart(TimerHandle)
   
   For i = 1 To Iteration
      intResult = cGetMediaID("C", MEDIAID)
   Next i
   
   mdiT2W.pnl_Timer = cTimerRead(TimerHandle)
   
   TimerCloseOk = cTimerClose(TimerHandle)

End Sub

Private Sub TestDOSMediaID()
   
   Dim intResult        As Integer
   Dim strResult        As String
   Dim strDisplay       As String
   
   Dim i                As Integer
   
   Dim DOSMEDIAID       As tagDOSMEDIAID
  
   strResult = ""
   strDisplay = ""
     
   For i = 1 To 4
      intResult = cDOSGetMediaID(Chr$(64 + i), DOSMEDIAID)
      If (intResult = True) Then
         strDisplay = strDisplay & "DOS MEDIA ID found on drive '" & Chr$(64 + i) & "'" & vbCrLf & vbCrLf
         strDisplay = strDisplay & "   InfoLevel : '" & Hex$(cCVI(DOSMEDIAID.InfoLevel)) & "'" & vbCrLf
         strDisplay = strDisplay & "   SerialNumber : '" & Hex$(cCVL(DOSMEDIAID.SerialNumber)) & "'" & vbCrLf
         strDisplay = strDisplay & "   VolLabel : '" & cCompress(DOSMEDIAID.VolLabel) & "'" & vbCrLf
         strDisplay = strDisplay & "   FileSysType : '" & cCompress(DOSMEDIAID.FileSysType) & "'" & vbCrLf & vbCrLf
      Else
         strDisplay = strDisplay & "DOS MEDIA ID not found on drive '" & Chr$(64 + i) & "'" & vbCrLf & vbCrLf
      End If
   Next i

   txt_Result = strDisplay

   'time the function

   TimerHandle = cTimerOpen()
   TimerStartOk = cTimerStart(TimerHandle)
   
   For i = 1 To Iteration
      intResult = cDOSGetMediaID("C", DOSMEDIAID)
   Next i
   
   mdiT2W.pnl_Timer = cTimerRead(TimerHandle)
   
   TimerCloseOk = cTimerClose(TimerHandle)

End Sub

Private Sub TestVolume()
   
   Dim intResult        As Integer
   Dim strResult        As String
   Dim strDisplay       As String
   
   Dim i                As Integer
  
   strResult = ""
   strDisplay = ""
     
   For i = 1 To 4
      strDisplay = strDisplay & "Volume Label for '" & Chr$(64 + i) & "' is '" & cGetVolumeLabel(Chr$(64 + i)) & "'" & vbCrLf & vbCrLf
   Next i

   txt_Result = strDisplay

   'time the function

   TimerHandle = cTimerOpen()
   TimerStartOk = cTimerStart(TimerHandle)
   
   For i = 1 To Iteration
      strResult = cGetVolumeLabel("C")
   Next i
   
   mdiT2W.pnl_Timer = cTimerRead(TimerHandle)
   
   TimerCloseOk = cTimerClose(TimerHandle)

End Sub
