VERSION 5.00
Begin VB.Form frmNetwork 
   BorderStyle     =   4  'Fixed ToolWindow
   Caption         =   "Network"
   ClientHeight    =   4845
   ClientLeft      =   1890
   ClientTop       =   3270
   ClientWidth     =   7485
   MaxButton       =   0   'False
   MDIChild        =   -1  'True
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   4845
   ScaleWidth      =   7485
   ShowInTaskbar   =   0   'False
   Begin VB.Frame Frame1 
      Height          =   570
      Left            =   0
      TabIndex        =   1
      Top             =   -90
      Width           =   7485
      Begin VB.CommandButton cmdNP 
         Caption         =   ">"
         Height          =   285
         Index           =   1
         Left            =   7110
         TabIndex        =   6
         Top             =   195
         Width           =   285
      End
      Begin VB.CommandButton cmdNP 
         Caption         =   "<"
         Height          =   285
         Index           =   0
         Left            =   6210
         TabIndex        =   5
         Top             =   195
         Width           =   285
      End
      Begin VB.CommandButton Command1 
         Caption         =   "&Go"
         Default         =   -1  'True
         Height          =   285
         Left            =   6570
         TabIndex        =   4
         Top             =   195
         Width           =   465
      End
      Begin VB.ComboBox cmb_Function 
         Height          =   315
         Left            =   1365
         TabIndex        =   2
         Top             =   180
         Width           =   4755
      End
      Begin VB.Label Label2 
         Caption         =   "&Select a function"
         Height          =   255
         Left            =   90
         TabIndex        =   3
         Top             =   210
         Width           =   1275
      End
   End
   Begin VB.TextBox txt_Result 
      BackColor       =   &H00C0C0C0&
      BorderStyle     =   0  'None
      Height          =   4260
      Left            =   90
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   0
      Top             =   540
      Width           =   7350
   End
End
Attribute VB_Name = "frmNetwork"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Option Base 1

Private Const Iteration = 250

Dim IsLoaded         As Integer

Dim TimerStartOk     As Integer
Dim TimerCloseOk     As Integer

Dim TimerHandle      As Integer
Dim TimerValue       As Long

Private Sub cmdNP_Click(Index As Integer)

   Call sub_NextPrev(cmb_Function, Index)

End Sub


Private Sub cmb_Function_Click()
   
   If (IsLoaded = False) Then Exit Sub
   
   Call cDisableFI(mdiT2W.Picture1)
   
   txt_Result = ""
   
   DoEvents
   
   Select Case cmb_Function.ListIndex
      Case 0
         Call TestGetNetConnection
      Case 1
         Call TestGetNetUser
      Case 2
         Call TestAdapter
   End Select

   DoEvents
   Call cEnableFI(mdiT2W.Picture1)
   
End Sub

Private Sub Form_Activate()

   mdiT2W.Label2.Caption = cInsertBlocks(mdiT2W.Label2.Tag, "" & Iteration)

End Sub

Private Sub Form_Load()

   IsLoaded = False
   
   Show

   Call sub_Load_Combo(cmb_Function, T2WDirInst + "_network.t2w")
   
   IsLoaded = True
   
End Sub

Private Sub Command1_Click()
   
   Call cmb_Function_Click
   
End Sub

Private Sub TestGetNetConnection()

   Dim intResult        As Integer
   Dim strResult        As String
   Dim strDisplay       As String
   
   Dim i                As Integer
   Dim iErrorCode       As Integer
   
   strResult = ""
   strDisplay = ""
   
   For i = 1 To 26
      strDisplay = strDisplay & "GetNetConnection(" & Chr$(64 + i) & ":) returns '" & cGetNetConnection(Chr$(64 + i) & ":", iErrorCode) & "' (error code = " & iErrorCode & ")" & vbCrLf
   Next i
   
   txt_Result = strDisplay

   'time the function

   TimerHandle = cTimerOpen()
   TimerStartOk = cTimerStart(TimerHandle)
   
   For i = 1 To Iteration
      strResult = cGetNetConnection("c:", iErrorCode)
   Next i
   
   mdiT2W.pnl_Timer = cTimerRead(TimerHandle)
   
   TimerCloseOk = cTimerClose(TimerHandle)

End Sub

Private Sub TestGetNetUser()

   Dim intResult        As Integer
   Dim strResult        As String
   Dim strDisplay       As String
   
   Dim i                As Integer
   Dim iErrorCode       As Integer
   
   strResult = ""
   strDisplay = ""
   
   strDisplay = strDisplay & "GetNetUser returns '" & cGetNetUser(iErrorCode) & "' (error code = " & iErrorCode & ")" & vbCrLf
     
   txt_Result = strDisplay

   'time the function

   TimerHandle = cTimerOpen()
   TimerStartOk = cTimerStart(TimerHandle)
   
   For i = 1 To Iteration
      strResult = cGetNetUser(iErrorCode)
   Next i
   
   mdiT2W.pnl_Timer = cTimerRead(TimerHandle)
   
   TimerCloseOk = cTimerClose(TimerHandle)

End Sub

Private Sub TestAdapter()

   Dim intResult        As Integer
   Dim strResult        As String
   Dim strDisplay       As String
   
   Dim i                As Integer
   Dim n                As Integer
   Dim iErrorCode       As Integer
   
   strResult = ""
   strDisplay = ""
   
   n = cGetNetNumberOfAdapter(iErrorCode)
   If (n > 0) Then
   
      strDisplay = strDisplay & "GetNetNumberOfAdapter returns '" & n & "' (error code = " & iErrorCode & ")" & vbCrLf & vbCrLf
      
      For i = 1 To n
         strDisplay = strDisplay & "cGetNetAdapterNumber(" & i & ") returns '" & cGetNetAdapterNumber(i, iErrorCode) & "' (error code = " & iErrorCode & ")" & vbCrLf
      Next i
      
      strDisplay = strDisplay & vbCrLf
      
      For i = 1 To n
         strDisplay = strDisplay & "cGetNetAdapterMacAddress(" & i & ") returns (format=1) '" & cGetNetAdapterMacAddress(i, 1, iErrorCode) & "' (error code = " & iErrorCode & ")" & vbCrLf
         strDisplay = strDisplay & "cGetNetAdapterMacAddress(" & i & ") returns (format=2) '" & cGetNetAdapterMacAddress(i, 2, iErrorCode) & "' (error code = " & iErrorCode & ")" & vbCrLf & vbCrLf
      Next i
      
   Else
   
      strDisplay = "No Network Adapter" & vbCrLf
   
   End If
        
   txt_Result = strDisplay

   'time the function

   TimerHandle = cTimerOpen()
   TimerStartOk = cTimerStart(TimerHandle)
   
   If (n > 0) Then
      For i = 1 To Iteration
         strResult = cGetNetAdapterMacAddress(1, 2, iErrorCode)
      Next i
   End If
   
   mdiT2W.pnl_Timer = cTimerRead(TimerHandle)
   
   TimerCloseOk = cTimerClose(TimerHandle)

End Sub


